Teensy Audio Library
====================

16 bit, 44.1 kHz streaming audio library for Teensy 3.x, featuring:

* Polyphonic Playback
* Recording
* Synthesis
* Analysis
* Effects
* Filtering
* Mixing
* Multiple Simultaneous Inputs & Outputs
* Flexible signal routing between library objects
* Automatic Streaming while your Arduino sketch runs

Main Audio Library Page
-----------------------

http://www.pjrc.com/teensy/td_libs_Audio.html


Audio System Design Tool
------------------------

Use this graphical tool to design your audio project.  Easily browse the library's many features, connect objects, export to Arduino code, and quickly access details for the functions each object provides for you to control it from your Arduino sketch!

http://www.pjrc.com/teensy/gui/index.html


Supported Hardware
------------------

[Audio Adaptor Board](http://www.pjrc.com/store/teensy3_audio.html) for 16 bit stereo input and output.

![Inputs](/gui/img/audioshield_inputs.jpg)      ![Outputs](/gui/img/audioshield_outputs.jpg)

Dual [Audio Adaptor Boards](http://www.pjrc.com/store/teensy3_audio.html) for quad channel 16 bit input and output.

![](/gui/img/audioshield_quad_out.jpg)

[Teensy 3.6](http://www.pjrc.com/store/teensy36.html), [Teensy 3.5](http://www.pjrc.com/store/teensy35.html), [Teensy 3.2](http://www.pjrc.com/store/teensy32.html), or [Teensy 3.1](http://www.pjrc.com/store/teensy31.html) 12 bit DAC Output (Mono)

![DAC Output](/gui/img/dacpin.jpg)

[Teensy 3.6](http://www.pjrc.com/store/teensy36.html), [Teensy 3.5](http://www.pjrc.com/store/teensy35.html), [Teensy 3.2](http://www.pjrc.com/store/teensy32.html), [Teensy 3.1](http://www.pjrc.com/store/teensy31.html) or [Teensy 3.0](http://www.pjrc.com/store/teensy3.html) ADC Input (Mono)

![ADC Input](/gui/img/adccircuit.png)

[Teensy 3.6](http://www.pjrc.com/store/teensy36.html), [Teensy 3.5](http://www.pjrc.com/store/teensy35.html), or [Teensy 3.2](http://www.pjrc.com/store/teensy32.html) ADC Input (Stereo)

![ADC Input](/gui/img/adccircuit2.png)

[Teensy 3.6](http://www.pjrc.com/store/teensy36.html) or [Teensy 3.5](http://www.pjrc.com/store/teensy35.html) 12 bit DAC Output (Stereo)

![DAC Output](/gui/img/dacpins.png)

[Teensy 3.6](http://www.pjrc.com/store/teensy36.html), [Teensy 3.5](http://www.pjrc.com/store/teensy35.html), [Teensy 3.2](http://www.pjrc.com/store/teensy32.html), [Teensy 3.1](http://www.pjrc.com/store/teensy31.html) or [Teensy 3.0](http://www.pjrc.com/store/teensy3.html) PWM Output (Mono)

![PWM Output](/gui/img/pwmdualcircuit.jpg)

USB Audio: Bi-Directional Stereo Streaming to a PC

![Inputs](/gui/img/usbtype_audio_in.png)      ![Outputs](/gui/img/usbtype_audio_out.png)






